# dotfiles

nix flake config! this is just used on my personal computer

## users

this flake is built upon a single user system for all hosts, enforced by [`modules/user.nix`](./modules/user.nix). this makes it alot easier to make modules that use nixos and `home-manager`

for something more server oriented, check out [`nix-server`](https://git.reidlab.pink/reidlab/nix-server)

## hosts

each host should have these files:

  - `default.nix`, contains everything relating to the basic system
  - `hardware.nix`, hardware configuration.

## todo

  - multi architecture configuration ([nix-systems](https://github.com/nix-systems/nix-systems)?)
  - hidpi option ? mostly auto these days though
  - better theming for hyprlock, rofi, dunst (accent for hyprlock & dunst, variants for rofi)
  - some way for border radius, border, tranparency theme options
  - tags for pip and popups in hyprland config
  - make wl-clip-persist and networkmanager applet systemd services?
  - gtk cursors are MESSED UP. top priority rn
  - qt icons just... don't apply
  - niri.. yum
  - do lockscreen better somehow
  - international keyboard for Spanish
  - ghostty
